cerhu > linux.debian.user.french

Bernard Schoenacker (11/02/2019, 20h10)
bonjour,

ça fait un bout de temps que je n'arrive plus à
utiliser ce logiciel du fait qu'il plante au
démarrage ...

pourtant il existe des version plus récentes, mais
aucune n'est encore en paquet deb

comment faire ?

merci
slt
bernard
Belaïd (11/02/2019, 20h20)
Bonjour,

Premièrement: vérifier les logs ! Si ce n'est encore fait

Le lun. 11 févr. 2019 19:04, Bernard Schoenacker <
bernard.schoenacker> a écrit :
[..]
Bernard Schoenacker (11/02/2019, 20h30)
----- Mail original -----

> De: "Belaïd" <oblivion.ikiub>
> À: debian-user-french
> Cc: "Liste Debian" <debian-user-french>
> Envoyé: Lundi 11 Février 2019 19:13:10
> Objet: Re: au sujet de tor browser


> Bonjour,


> Premièrement: vérifier les logs ! Si ce n'est encore fait


bonjour,

voici ce que me donne le lancement dans un terminal :

torbrowser-launcher
Traceback (most recent call last):
File "/usr/bin/torbrowser-launcher", line 29, in <module>
import torbrowser_launcher
File "/usr/lib/python3/dist-packages/torbrowser_launcher/__init__.py", line 34, in <module>
from PyQt5 import QtCore, QtWidgets
ModuleNotFoundError: No module named 'PyQt5.sip'

bref, comme d'hab c'est moi le bourricot ...

merci
slt
bernard
nicolas.patrois (11/02/2019, 21h10)
Je viens de l?installer et chez moi (unstable), ça marche.
Tu as peut-être supprimé un paquet par mégarde.

nicolas patrois : pts noir asocial
Belaïd (11/02/2019, 21h10)
Mais noooon ! ? Avoue comme même que c'est mieux en donnant les logs !
As tu essayé les solutions donnés quand tu fais une recherche surun moteur
de recherche ? Au moins as tu essayé de réinstaller tor totalement ?

Le lun. 11 févr. 2019 19:23, Bernard Schoenacker <
bernard.schoenacker> a écrit :
[..]
Raphaël POITEVIN (11/02/2019, 21h30)
Bernard Schoenacker <bernard.schoenacker> writes:

> pourtant il existe des version plus récentes, mais
> aucune n'est encore en paquet deb


On peut utiliser le logiciel portable :
[..]
Jean-Marc (12/02/2019, 01h30)
Mon, 11 Feb 2019 19:23:07 +0100 (CET)
Bernard Schoenacker <bernard.schoenacker> écrivait :

> bonjour,


salut,

> voici ce que me donne le lancement dans un terminal :
> torbrowser-launcher
> Traceback (most recent call last):
> File "/usr/bin/torbrowser-launcher", line 29, in <module>
> import torbrowser_launcher
> File "/usr/lib/python3/dist-packages/torbrowser_launcher/__init__.py", line 34, in <module>
> from PyQt5 import QtCore, QtWidgets
> ModuleNotFoundError: No module named 'PyQt5.sip'


Bizarre. C'est comme si il te manquait une dépendence.
Que donne la commande suivante :
apt policy python3-pyqt5 torbrowser-launcher

> merci
> slt
> bernard


Jean-Marc <jean-marc>
[..]
Bernard Schoenacker (12/02/2019, 09h20)
----- Mail original -----
[..]
> Bizarre. C'est comme si il te manquait une dépendence.
> Que donne la commande suivante :
> apt policy python3-pyqt5 torbrowser-launcher
> Jean-Marc be>
> [..]


bonjour,

voici la réponse :

apt policy python3-pyqt5 torbrowser-launcher
python3-pyqt5:
Installé : 5.11.3+dfsg-1+b3
Candidat : 5.11.3+dfsg-1+b3
Table de version :
*** 5.11.3+dfsg-1+b3 500
500 [..] sid/main amd64 Packages
500 [..] testing/main amd64 Packages
500 [..] buster/main amd64 Packages
100 /var/lib/dpkg/status
5.7+dfsg-5 500
500 [..] stretch/main amd64 Packages
torbrowser-launcher:
Installé : 0.3.1-2
Candidat : 0.3.1-2
Table de version :
*** 0.3.1-2 500
500 [..] sid/contrib amd64 Packages
500 [..] testing/contrib amd64 Packages
500 [..] buster/contrib amd64 Packages
100 /var/lib/dpkg/status

merci

slt
bernard
Jean-Marc (12/02/2019, 12h50)
Tue, 12 Feb 2019 08:11:25 +0100 (CET)
Bernard Schoenacker <bernard.schoenacker> écrivait :

[..]
> 500 [..] stretch/main amd64 Packages
> torbrowser-launcher:
> Installé : 0.3.1-2
> Candidat : 0.3.1-2
> Table de version :
> *** 0.3.1-2 500
> 500 [..] sid/contrib amd64 Packages
> 500 [..] testing/contrib amd64 Packages
> 500 [..] buster/contrib amd64 Packages
> 100 /var/lib/dpkg/status


Je ne suis pas un spécialiste mais il me semble que tu mélanges testing et sid.

Si je peux une suggestion, ce serait soit de virer testing, soit de mettre une priorité plus basse pour ce qui vient de sid.

Deux choses à vérifier:
.. lancer la commande :
python3
puis, essayer d'importer ceci :
from PyQt5 import QtCore, QtWidgets

Et aussi ceci :
dpkg --verify python3-pyqt5 torbrowser-launcher

> merci
> slt
> bernard


Jean-Marc <jean-marc>
[..]
Discussions similaires
Lequel choisir: Crazy Browser ou Avant Browser ?

Firewall (Hors Sujet mais ca pourrait etre un sujet d'été)

avant browser ou crazy browser

Master Browser et Backup Browser


Fuseau horaire GMT +2. Il est actuellement 17h06. | Privacy Policy